import { html as a } from "lit";
import { property as n } from "lit/decorators.js";
import { PieIconComponent as f } from "./PieIconComponent.js";
import { safeCustomElement as h } from "@justeattakeaway/pie-webc-core";
var g = Object.defineProperty, m = Object.getOwnPropertyDescriptor, c = (l, r, s, t) => {
  for (var e = t > 1 ? void 0 : t ? m(r, s) : r, p = l.length - 1, i; p >= 0; p--)
    (i = l[p]) && (e = (t ? i(r, s, e) : i(e)) || e);
  return t && e && g(r, s, e), e;
};
let o = class extends f {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--arrowUpLeftLarge", this.class = "c-pieIcon c-pieIcon--arrowUpLeftLarge", this.name = "IconArrowUpLeftLarge";
  }
  render() {
    return a`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--arrowUpLeftLarge"><path d="M25.284 24.041 9.814 8.571h9.922v-1.75H8.58a1.75 1.75 0 0 0-1.75 1.75v11.165h1.75V9.805l15.47 15.47 1.234-1.234Z"></path></svg>`;
  }
};
c([
  n({ type: String, reflect: !0 })
], o.prototype, "size", 2);
c([
  n({ type: String, reflect: !0 })
], o.prototype, "class", 2);
o = c([
  h("icon-arrow-up-left-large")
], o);
export {
  o as IconArrowUpLeftLarge
};
